package com.mossle.asset.persistence.domain;

// Generated by Hibernate Tools
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * AssetRequestItem 资产申请细目.
 * 
 * @author Lingo
 */
@Entity
@Table(name = "ASSET_REQUEST_ITEM")
public class AssetRequestItem implements java.io.Serializable {
    private static final long serialVersionUID = 0L;

    /** 主键. */
    private Long id;

    /** 外键. */
    private AssetRequestInfo assetRequestInfo;

    /** 产品分类. */
    private String productCategory;

    /** null. */
    private String purpose;

    /** 资产名称. */
    private String productName;

    /** 规格型号. */
    private String productModel;

    /** 价格. */
    private Integer productPrice;

    /** 数量. */
    private Integer productNum;

    /** 备注. */
    private String description;

    /** 多租户. */
    private String tenantId;

    public AssetRequestItem() {
    }

    public AssetRequestItem(Long id) {
        this.id = id;
    }

    public AssetRequestItem(Long id, AssetRequestInfo assetRequestInfo,
            String productCategory, String purpose, String productName,
            String productModel, Integer productPrice, Integer productNum,
            String description, String tenantId) {
        this.id = id;
        this.assetRequestInfo = assetRequestInfo;
        this.productCategory = productCategory;
        this.purpose = purpose;
        this.productName = productName;
        this.productModel = productModel;
        this.productPrice = productPrice;
        this.productNum = productNum;
        this.description = description;
        this.tenantId = tenantId;
    }

    /** @return 主键. */
    @Id
    @Column(name = "ID", unique = true, nullable = false)
    public Long getId() {
        return this.id;
    }

    /**
     * @param id
     *            主键.
     */
    public void setId(Long id) {
        this.id = id;
    }

    /** @return 外键. */
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "INFO_ID")
    public AssetRequestInfo getAssetRequestInfo() {
        return this.assetRequestInfo;
    }

    /**
     * @param assetRequestInfo
     *            外键.
     */
    public void setAssetRequestInfo(AssetRequestInfo assetRequestInfo) {
        this.assetRequestInfo = assetRequestInfo;
    }

    /** @return 产品分类. */
    @Column(name = "PRODUCT_CATEGORY", length = 100)
    public String getProductCategory() {
        return this.productCategory;
    }

    /**
     * @param productCategory
     *            产品分类.
     */
    public void setProductCategory(String productCategory) {
        this.productCategory = productCategory;
    }

    /** @return null. */
    @Column(name = "PURPOSE", length = 100)
    public String getPurpose() {
        return this.purpose;
    }

    /**
     * @param purpose
     *            null.
     */
    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    /** @return 资产名称. */
    @Column(name = "PRODUCT_NAME", length = 200)
    public String getProductName() {
        return this.productName;
    }

    /**
     * @param productName
     *            资产名称.
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    /** @return 规格型号. */
    @Column(name = "PRODUCT_MODEL", length = 50)
    public String getProductModel() {
        return this.productModel;
    }

    /**
     * @param productModel
     *            规格型号.
     */
    public void setProductModel(String productModel) {
        this.productModel = productModel;
    }

    /** @return 价格. */
    @Column(name = "PRODUCT_PRICE")
    public Integer getProductPrice() {
        return this.productPrice;
    }

    /**
     * @param productPrice
     *            价格.
     */
    public void setProductPrice(Integer productPrice) {
        this.productPrice = productPrice;
    }

    /** @return 数量. */
    @Column(name = "PRODUCT_NUM")
    public Integer getProductNum() {
        return this.productNum;
    }

    /**
     * @param productNum
     *            数量.
     */
    public void setProductNum(Integer productNum) {
        this.productNum = productNum;
    }

    /** @return 备注. */
    @Column(name = "DESCRIPTION", length = 200)
    public String getDescription() {
        return this.description;
    }

    /**
     * @param description
     *            备注.
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /** @return 多租户. */
    @Column(name = "TENANT_ID", length = 64)
    public String getTenantId() {
        return this.tenantId;
    }

    /**
     * @param tenantId
     *            多租户.
     */
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}
