package com.mossle.doc.persistence.domain;

// Generated by Hibernate Tools
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * DocIncoming 收文.
 * 
 * @author Lingo
 */
@Entity
@Table(name = "DOC_INCOMING")
public class DocIncoming implements java.io.Serializable {
    private static final long serialVersionUID = 0L;

    /** 主键. */
    private Long id;

    /** 单号. */
    private String code;

    /** 申请人. */
    private String userId;

    /** 申请人部门编码. */
    private String deptCode;

    /** 申请人部门名称. */
    private String deptName;

    /** 创建时间. */
    private Date createTime;

    /** 状态. */
    private String status;

    /** 申请原因. */
    private String description;

    /** 多租户. */
    private String tenantId;

    /** 标题. */
    private String title;

    /** 接收时间. */
    private Date incomingDate;

    /** 发布范围. */
    private String scope;

    /** 内容. */
    private String content;

    /** 附件. */
    private String attachment;

    public DocIncoming() {
    }

    public DocIncoming(Long id) {
        this.id = id;
    }

    public DocIncoming(Long id, String code, String userId, String deptCode,
            String deptName, Date createTime, String status,
            String description, String tenantId, String title,
            Date incomingDate, String scope, String content, String attachment) {
        this.id = id;
        this.code = code;
        this.userId = userId;
        this.deptCode = deptCode;
        this.deptName = deptName;
        this.createTime = createTime;
        this.status = status;
        this.description = description;
        this.tenantId = tenantId;
        this.title = title;
        this.incomingDate = incomingDate;
        this.scope = scope;
        this.content = content;
        this.attachment = attachment;
    }

    /** @return 主键. */
    @Id
    @Column(name = "ID", unique = true, nullable = false)
    public Long getId() {
        return this.id;
    }

    /**
     * @param id
     *            主键.
     */
    public void setId(Long id) {
        this.id = id;
    }

    /** @return 单号. */
    @Column(name = "CODE", length = 100)
    public String getCode() {
        return this.code;
    }

    /**
     * @param code
     *            单号.
     */
    public void setCode(String code) {
        this.code = code;
    }

    /** @return 申请人. */
    @Column(name = "USER_ID", length = 64)
    public String getUserId() {
        return this.userId;
    }

    /**
     * @param userId
     *            申请人.
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /** @return 申请人部门编码. */
    @Column(name = "DEPT_CODE", length = 50)
    public String getDeptCode() {
        return this.deptCode;
    }

    /**
     * @param deptCode
     *            申请人部门编码.
     */
    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    /** @return 申请人部门名称. */
    @Column(name = "DEPT_NAME", length = 200)
    public String getDeptName() {
        return this.deptName;
    }

    /**
     * @param deptName
     *            申请人部门名称.
     */
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    /** @return 创建时间. */
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_TIME", length = 26)
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * @param createTime
     *            创建时间.
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /** @return 状态. */
    @Column(name = "STATUS", length = 50)
    public String getStatus() {
        return this.status;
    }

    /**
     * @param status
     *            状态.
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /** @return 申请原因. */
    @Column(name = "DESCRIPTION", length = 200)
    public String getDescription() {
        return this.description;
    }

    /**
     * @param description
     *            申请原因.
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /** @return 多租户. */
    @Column(name = "TENANT_ID", length = 64)
    public String getTenantId() {
        return this.tenantId;
    }

    /**
     * @param tenantId
     *            多租户.
     */
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    /** @return 标题. */
    @Column(name = "TITLE", length = 50)
    public String getTitle() {
        return this.title;
    }

    /**
     * @param title
     *            标题.
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /** @return 接收时间. */
    @Temporal(TemporalType.DATE)
    @Column(name = "INCOMING_DATE", length = 10)
    public Date getIncomingDate() {
        return this.incomingDate;
    }

    /**
     * @param incomingDate
     *            接收时间.
     */
    public void setIncomingDate(Date incomingDate) {
        this.incomingDate = incomingDate;
    }

    /** @return 发布范围. */
    @Column(name = "SCOPE", length = 200)
    public String getScope() {
        return this.scope;
    }

    /**
     * @param scope
     *            发布范围.
     */
    public void setScope(String scope) {
        this.scope = scope;
    }

    /** @return 内容. */
    @Column(name = "CONTENT", length = 200)
    public String getContent() {
        return this.content;
    }

    /**
     * @param content
     *            内容.
     */
    public void setContent(String content) {
        this.content = content;
    }

    /** @return 附件. */
    @Column(name = "ATTACHMENT", length = 100)
    public String getAttachment() {
        return this.attachment;
    }

    /**
     * @param attachment
     *            附件.
     */
    public void setAttachment(String attachment) {
        this.attachment = attachment;
    }
}
