package com.mossle.internal.open.persistence.domain;

// Generated by Hibernate Tools
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * OpenApp 账号.
 * 
 * @author Lingo
 */
@Entity
@Table(name = "OPEN_APP")
public class OpenApp implements java.io.Serializable {
    private static final long serialVersionUID = 0L;

    /** 主键. */
    private Long id;

    /** 编号. */
    private String code;

    /** 名称. */
    private String name;

    /** 应用编号. */
    private String clientId;

    /** 应用凭证. */
    private String clientSecret;

    /** 状态. */
    private String status;

    /** 创建人. */
    private String userId;

    /** 备注. */
    private String description;

    /** 创建时间. */
    private Date createTime;

    /** 分组. */
    private String groupCode;

    /** 租户. */
    private String tenantId;

    public OpenApp() {
    }

    public OpenApp(Long id) {
        this.id = id;
    }

    public OpenApp(Long id, String code, String name, String clientId,
            String clientSecret, String status, String userId,
            String description, Date createTime, String groupCode,
            String tenantId) {
        this.id = id;
        this.code = code;
        this.name = name;
        this.clientId = clientId;
        this.clientSecret = clientSecret;
        this.status = status;
        this.userId = userId;
        this.description = description;
        this.createTime = createTime;
        this.groupCode = groupCode;
        this.tenantId = tenantId;
    }

    /** @return 主键. */
    @Id
    @Column(name = "ID", unique = true, nullable = false)
    public Long getId() {
        return this.id;
    }

    /**
     * @param id
     *            主键.
     */
    public void setId(Long id) {
        this.id = id;
    }

    /** @return 编号. */
    @Column(name = "CODE", length = 50)
    public String getCode() {
        return this.code;
    }

    /**
     * @param code
     *            编号.
     */
    public void setCode(String code) {
        this.code = code;
    }

    /** @return 名称. */
    @Column(name = "NAME", length = 50)
    public String getName() {
        return this.name;
    }

    /**
     * @param name
     *            名称.
     */
    public void setName(String name) {
        this.name = name;
    }

    /** @return 应用编号. */
    @Column(name = "CLIENT_ID", length = 100)
    public String getClientId() {
        return this.clientId;
    }

    /**
     * @param clientId
     *            应用编号.
     */
    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    /** @return 应用凭证. */
    @Column(name = "CLIENT_SECRET", length = 100)
    public String getClientSecret() {
        return this.clientSecret;
    }

    /**
     * @param clientSecret
     *            应用凭证.
     */
    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }

    /** @return 状态. */
    @Column(name = "STATUS", length = 50)
    public String getStatus() {
        return this.status;
    }

    /**
     * @param status
     *            状态.
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /** @return 创建人. */
    @Column(name = "USER_ID", length = 64)
    public String getUserId() {
        return this.userId;
    }

    /**
     * @param userId
     *            创建人.
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /** @return 备注. */
    @Column(name = "DESCRIPTION", length = 200)
    public String getDescription() {
        return this.description;
    }

    /**
     * @param description
     *            备注.
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /** @return 创建时间. */
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_TIME", length = 26)
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * @param createTime
     *            创建时间.
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /** @return 分组. */
    @Column(name = "GROUP_CODE", length = 50)
    public String getGroupCode() {
        return this.groupCode;
    }

    /**
     * @param groupCode
     *            分组.
     */
    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode;
    }

    /** @return 租户. */
    @Column(name = "TENANT_ID", length = 50)
    public String getTenantId() {
        return this.tenantId;
    }

    /**
     * @param tenantId
     *            租户.
     */
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}
