package com.mossle.leave.persistence.domain;

// Generated by Hibernate Tools
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * LeaveRequest 差旅申请.
 * 
 * @author Lingo
 */
@Entity
@Table(name = "LEAVE_REQUEST")
public class LeaveRequest implements java.io.Serializable {
    private static final long serialVersionUID = 0L;

    /** 主键. */
    private Long id;

    /** 单号. */
    private String code;

    /** 申请人. */
    private String userId;

    /** 申请人部门编码. */
    private String deptCode;

    /** 申请人部门名称. */
    private String deptName;

    /** 创建时间. */
    private Date createTime;

    /** 状态. */
    private String status;

    /** 申请原因. */
    private String description;

    /** 多租户. */
    private String tenantId;

    /** 请假类型. */
    private String type;

    /** 开始时间. */
    private Date startTime;

    /** 结束时间. */
    private Date endTime;

    /** 天数. */
    private Integer day;

    /** 交接人. */
    private String handOverPerson;

    public LeaveRequest() {
    }

    public LeaveRequest(Long id) {
        this.id = id;
    }

    public LeaveRequest(Long id, String code, String userId, String deptCode,
            String deptName, Date createTime, String status,
            String description, String tenantId, String type, Date startTime,
            Date endTime, Integer day, String handOverPerson) {
        this.id = id;
        this.code = code;
        this.userId = userId;
        this.deptCode = deptCode;
        this.deptName = deptName;
        this.createTime = createTime;
        this.status = status;
        this.description = description;
        this.tenantId = tenantId;
        this.type = type;
        this.startTime = startTime;
        this.endTime = endTime;
        this.day = day;
        this.handOverPerson = handOverPerson;
    }

    /** @return 主键. */
    @Id
    @Column(name = "ID", unique = true, nullable = false)
    public Long getId() {
        return this.id;
    }

    /**
     * @param id
     *            主键.
     */
    public void setId(Long id) {
        this.id = id;
    }

    /** @return 单号. */
    @Column(name = "CODE", length = 100)
    public String getCode() {
        return this.code;
    }

    /**
     * @param code
     *            单号.
     */
    public void setCode(String code) {
        this.code = code;
    }

    /** @return 申请人. */
    @Column(name = "USER_ID", length = 64)
    public String getUserId() {
        return this.userId;
    }

    /**
     * @param userId
     *            申请人.
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /** @return 申请人部门编码. */
    @Column(name = "DEPT_CODE", length = 50)
    public String getDeptCode() {
        return this.deptCode;
    }

    /**
     * @param deptCode
     *            申请人部门编码.
     */
    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    /** @return 申请人部门名称. */
    @Column(name = "DEPT_NAME", length = 200)
    public String getDeptName() {
        return this.deptName;
    }

    /**
     * @param deptName
     *            申请人部门名称.
     */
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    /** @return 创建时间. */
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_TIME", length = 26)
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * @param createTime
     *            创建时间.
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /** @return 状态. */
    @Column(name = "STATUS", length = 50)
    public String getStatus() {
        return this.status;
    }

    /**
     * @param status
     *            状态.
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /** @return 申请原因. */
    @Column(name = "DESCRIPTION", length = 200)
    public String getDescription() {
        return this.description;
    }

    /**
     * @param description
     *            申请原因.
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /** @return 多租户. */
    @Column(name = "TENANT_ID", length = 64)
    public String getTenantId() {
        return this.tenantId;
    }

    /**
     * @param tenantId
     *            多租户.
     */
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    /** @return 请假类型. */
    @Column(name = "TYPE", length = 100)
    public String getType() {
        return this.type;
    }

    /**
     * @param type
     *            请假类型.
     */
    public void setType(String type) {
        this.type = type;
    }

    /** @return 开始时间. */
    @Temporal(TemporalType.DATE)
    @Column(name = "START_TIME", length = 10)
    public Date getStartTime() {
        return this.startTime;
    }

    /**
     * @param startTime
     *            开始时间.
     */
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    /** @return 结束时间. */
    @Temporal(TemporalType.DATE)
    @Column(name = "END_TIME", length = 10)
    public Date getEndTime() {
        return this.endTime;
    }

    /**
     * @param endTime
     *            结束时间.
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /** @return 天数. */
    @Column(name = "DAY")
    public Integer getDay() {
        return this.day;
    }

    /**
     * @param day
     *            天数.
     */
    public void setDay(Integer day) {
        this.day = day;
    }

    /** @return 交接人. */
    @Column(name = "HAND_OVER_PERSON", length = 200)
    public String getHandOverPerson() {
        return this.handOverPerson;
    }

    /**
     * @param handOverPerson
     *            交接人.
     */
    public void setHandOverPerson(String handOverPerson) {
        this.handOverPerson = handOverPerson;
    }
}
