package com.mossle.stamp.persistence.domain;

// Generated by Hibernate Tools
import java.util.HashSet;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * StampInfo 印章.
 * 
 * @author Lingo
 */
@Entity
@Table(name = "STAMP_INFO")
public class StampInfo implements java.io.Serializable {
    private static final long serialVersionUID = 0L;

    /** 主键. */
    private Long id;

    /** 公司. */
    private String companyName;

    /** 名称. */
    private String name;

    /** 类型. */
    private String type;

    /** 保管人. */
    private String userId;

    /** 状态. */
    private String status;

    /** 备注. */
    private String description;

    /** 租户. */
    private String tenantId;

    /** . */
    private Set<StampTask> stampTasks = new HashSet<StampTask>(0);

    public StampInfo() {
    }

    public StampInfo(Long id) {
        this.id = id;
    }

    public StampInfo(Long id, String companyName, String name, String type,
            String userId, String status, String description, String tenantId,
            Set<StampTask> stampTasks) {
        this.id = id;
        this.companyName = companyName;
        this.name = name;
        this.type = type;
        this.userId = userId;
        this.status = status;
        this.description = description;
        this.tenantId = tenantId;
        this.stampTasks = stampTasks;
    }

    /** @return 主键. */
    @Id
    @Column(name = "ID", unique = true, nullable = false)
    public Long getId() {
        return this.id;
    }

    /**
     * @param id
     *            主键.
     */
    public void setId(Long id) {
        this.id = id;
    }

    /** @return 公司. */
    @Column(name = "COMPANY_NAME", length = 100)
    public String getCompanyName() {
        return this.companyName;
    }

    /**
     * @param companyName
     *            公司.
     */
    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    /** @return 名称. */
    @Column(name = "NAME", length = 200)
    public String getName() {
        return this.name;
    }

    /**
     * @param name
     *            名称.
     */
    public void setName(String name) {
        this.name = name;
    }

    /** @return 类型. */
    @Column(name = "TYPE", length = 50)
    public String getType() {
        return this.type;
    }

    /**
     * @param type
     *            类型.
     */
    public void setType(String type) {
        this.type = type;
    }

    /** @return 保管人. */
    @Column(name = "USER_ID", length = 64)
    public String getUserId() {
        return this.userId;
    }

    /**
     * @param userId
     *            保管人.
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /** @return 状态. */
    @Column(name = "STATUS", length = 50)
    public String getStatus() {
        return this.status;
    }

    /**
     * @param status
     *            状态.
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /** @return 备注. */
    @Column(name = "DESCRIPTION", length = 200)
    public String getDescription() {
        return this.description;
    }

    /**
     * @param description
     *            备注.
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /** @return 租户. */
    @Column(name = "TENANT_ID", length = 64)
    public String getTenantId() {
        return this.tenantId;
    }

    /**
     * @param tenantId
     *            租户.
     */
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    /** @return . */
    @OneToMany(fetch = FetchType.LAZY, mappedBy = "stampInfo")
    public Set<StampTask> getStampTasks() {
        return this.stampTasks;
    }

    /**
     * @param stampTasks
     *            .
     */
    public void setStampTasks(Set<StampTask> stampTasks) {
        this.stampTasks = stampTasks;
    }
}
