package com.mossle.stamp.persistence.domain;

// Generated by Hibernate Tools
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * StampRequest 印章申请.
 * 
 * @author Lingo
 */
@Entity
@Table(name = "STAMP_REQUEST")
public class StampRequest implements java.io.Serializable {
    private static final long serialVersionUID = 0L;

    /** 主键. */
    private Long id;

    /** 单号. */
    private String code;

    /** 申请人. */
    private String userId;

    /** 申请人部门编码. */
    private String deptCode;

    /** 申请人部门名称. */
    private String deptName;

    /** 创建时间. */
    private Date createTime;

    /** 状态. */
    private String status;

    /** 申请原因. */
    private String description;

    /** 多租户. */
    private String tenantId;

    /** 使用部门编码. */
    private String stampDeptCode;

    /** 使用部门名称. */
    private String stampDeptName;

    /** 使用时间. */
    private Date stampDate;

    /** 文件名. */
    private String fileName;

    /** 文件路径. */
    private String filePath;

    /** 份数. */
    private Integer fileCopy;

    /** 页数. */
    private Integer filePage;

    /** 文件说明. */
    private String fileComment;

    /** 印章公司编码. */
    private String companyCode;

    /** 印章公司名称. */
    private String companyName;

    /** 印章类型. */
    private String type;

    /** 接收单位. */
    private String acceptUnit;

    public StampRequest() {
    }

    public StampRequest(Long id) {
        this.id = id;
    }

    public StampRequest(Long id, String code, String userId, String deptCode,
            String deptName, Date createTime, String status,
            String description, String tenantId, String stampDeptCode,
            String stampDeptName, Date stampDate, String fileName,
            String filePath, Integer fileCopy, Integer filePage,
            String fileComment, String companyCode, String companyName,
            String type, String acceptUnit) {
        this.id = id;
        this.code = code;
        this.userId = userId;
        this.deptCode = deptCode;
        this.deptName = deptName;
        this.createTime = createTime;
        this.status = status;
        this.description = description;
        this.tenantId = tenantId;
        this.stampDeptCode = stampDeptCode;
        this.stampDeptName = stampDeptName;
        this.stampDate = stampDate;
        this.fileName = fileName;
        this.filePath = filePath;
        this.fileCopy = fileCopy;
        this.filePage = filePage;
        this.fileComment = fileComment;
        this.companyCode = companyCode;
        this.companyName = companyName;
        this.type = type;
        this.acceptUnit = acceptUnit;
    }

    /** @return 主键. */
    @Id
    @Column(name = "ID", unique = true, nullable = false)
    public Long getId() {
        return this.id;
    }

    /**
     * @param id
     *            主键.
     */
    public void setId(Long id) {
        this.id = id;
    }

    /** @return 单号. */
    @Column(name = "CODE", length = 100)
    public String getCode() {
        return this.code;
    }

    /**
     * @param code
     *            单号.
     */
    public void setCode(String code) {
        this.code = code;
    }

    /** @return 申请人. */
    @Column(name = "USER_ID", length = 64)
    public String getUserId() {
        return this.userId;
    }

    /**
     * @param userId
     *            申请人.
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /** @return 申请人部门编码. */
    @Column(name = "DEPT_CODE", length = 50)
    public String getDeptCode() {
        return this.deptCode;
    }

    /**
     * @param deptCode
     *            申请人部门编码.
     */
    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    /** @return 申请人部门名称. */
    @Column(name = "DEPT_NAME", length = 200)
    public String getDeptName() {
        return this.deptName;
    }

    /**
     * @param deptName
     *            申请人部门名称.
     */
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    /** @return 创建时间. */
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_TIME", length = 26)
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * @param createTime
     *            创建时间.
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /** @return 状态. */
    @Column(name = "STATUS", length = 50)
    public String getStatus() {
        return this.status;
    }

    /**
     * @param status
     *            状态.
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /** @return 申请原因. */
    @Column(name = "DESCRIPTION", length = 200)
    public String getDescription() {
        return this.description;
    }

    /**
     * @param description
     *            申请原因.
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /** @return 多租户. */
    @Column(name = "TENANT_ID", length = 64)
    public String getTenantId() {
        return this.tenantId;
    }

    /**
     * @param tenantId
     *            多租户.
     */
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    /** @return 使用部门编码. */
    @Column(name = "STAMP_DEPT_CODE", length = 50)
    public String getStampDeptCode() {
        return this.stampDeptCode;
    }

    /**
     * @param stampDeptCode
     *            使用部门编码.
     */
    public void setStampDeptCode(String stampDeptCode) {
        this.stampDeptCode = stampDeptCode;
    }

    /** @return 使用部门名称. */
    @Column(name = "STAMP_DEPT_NAME", length = 200)
    public String getStampDeptName() {
        return this.stampDeptName;
    }

    /**
     * @param stampDeptName
     *            使用部门名称.
     */
    public void setStampDeptName(String stampDeptName) {
        this.stampDeptName = stampDeptName;
    }

    /** @return 使用时间. */
    @Temporal(TemporalType.DATE)
    @Column(name = "STAMP_DATE", length = 10)
    public Date getStampDate() {
        return this.stampDate;
    }

    /**
     * @param stampDate
     *            使用时间.
     */
    public void setStampDate(Date stampDate) {
        this.stampDate = stampDate;
    }

    /** @return 文件名. */
    @Column(name = "FILE_NAME", length = 100)
    public String getFileName() {
        return this.fileName;
    }

    /**
     * @param fileName
     *            文件名.
     */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    /** @return 文件路径. */
    @Column(name = "FILE_PATH", length = 200)
    public String getFilePath() {
        return this.filePath;
    }

    /**
     * @param filePath
     *            文件路径.
     */
    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    /** @return 份数. */
    @Column(name = "FILE_COPY")
    public Integer getFileCopy() {
        return this.fileCopy;
    }

    /**
     * @param fileCopy
     *            份数.
     */
    public void setFileCopy(Integer fileCopy) {
        this.fileCopy = fileCopy;
    }

    /** @return 页数. */
    @Column(name = "FILE_PAGE")
    public Integer getFilePage() {
        return this.filePage;
    }

    /**
     * @param filePage
     *            页数.
     */
    public void setFilePage(Integer filePage) {
        this.filePage = filePage;
    }

    /** @return 文件说明. */
    @Column(name = "FILE_COMMENT", length = 200)
    public String getFileComment() {
        return this.fileComment;
    }

    /**
     * @param fileComment
     *            文件说明.
     */
    public void setFileComment(String fileComment) {
        this.fileComment = fileComment;
    }

    /** @return 印章公司编码. */
    @Column(name = "COMPANY_CODE", length = 50)
    public String getCompanyCode() {
        return this.companyCode;
    }

    /**
     * @param companyCode
     *            印章公司编码.
     */
    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    /** @return 印章公司名称. */
    @Column(name = "COMPANY_NAME", length = 100)
    public String getCompanyName() {
        return this.companyName;
    }

    /**
     * @param companyName
     *            印章公司名称.
     */
    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    /** @return 印章类型. */
    @Column(name = "TYPE", length = 50)
    public String getType() {
        return this.type;
    }

    /**
     * @param type
     *            印章类型.
     */
    public void setType(String type) {
        this.type = type;
    }

    /** @return 接收单位. */
    @Column(name = "ACCEPT_UNIT", length = 100)
    public String getAcceptUnit() {
        return this.acceptUnit;
    }

    /**
     * @param acceptUnit
     *            接收单位.
     */
    public void setAcceptUnit(String acceptUnit) {
        this.acceptUnit = acceptUnit;
    }
}
