package com.mossle.stamp.persistence.domain;

// Generated by Hibernate Tools
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * StampTask 印章申请.
 * 
 * @author Lingo
 */
@Entity
@Table(name = "STAMP_TASK")
public class StampTask implements java.io.Serializable {
    private static final long serialVersionUID = 0L;

    /** 主键. */
    private Long id;

    /** 印章ID. */
    private StampInfo stampInfo;

    /** 名称. */
    private String name;

    /** 申请人. */
    private String userId;

    /** 申请时间. */
    private Date createTime;

    /** 状态. */
    private String status;

    /** 内容. */
    private String content;

    /** 备注. */
    private String description;

    /** 租户. */
    private String tenantId;

    public StampTask() {
    }

    public StampTask(Long id) {
        this.id = id;
    }

    public StampTask(Long id, StampInfo stampInfo, String name, String userId,
            Date createTime, String status, String content, String description,
            String tenantId) {
        this.id = id;
        this.stampInfo = stampInfo;
        this.name = name;
        this.userId = userId;
        this.createTime = createTime;
        this.status = status;
        this.content = content;
        this.description = description;
        this.tenantId = tenantId;
    }

    /** @return 主键. */
    @Id
    @Column(name = "ID", unique = true, nullable = false)
    public Long getId() {
        return this.id;
    }

    /**
     * @param id
     *            主键.
     */
    public void setId(Long id) {
        this.id = id;
    }

    /** @return 印章ID. */
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "INFO_ID")
    public StampInfo getStampInfo() {
        return this.stampInfo;
    }

    /**
     * @param stampInfo
     *            印章ID.
     */
    public void setStampInfo(StampInfo stampInfo) {
        this.stampInfo = stampInfo;
    }

    /** @return 名称. */
    @Column(name = "NAME", length = 200)
    public String getName() {
        return this.name;
    }

    /**
     * @param name
     *            名称.
     */
    public void setName(String name) {
        this.name = name;
    }

    /** @return 申请人. */
    @Column(name = "USER_ID", length = 64)
    public String getUserId() {
        return this.userId;
    }

    /**
     * @param userId
     *            申请人.
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /** @return 申请时间. */
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_TIME", length = 26)
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * @param createTime
     *            申请时间.
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /** @return 状态. */
    @Column(name = "STATUS", length = 50)
    public String getStatus() {
        return this.status;
    }

    /**
     * @param status
     *            状态.
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /** @return 内容. */
    @Column(name = "CONTENT", length = 200)
    public String getContent() {
        return this.content;
    }

    /**
     * @param content
     *            内容.
     */
    public void setContent(String content) {
        this.content = content;
    }

    /** @return 备注. */
    @Column(name = "DESCRIPTION", length = 200)
    public String getDescription() {
        return this.description;
    }

    /**
     * @param description
     *            备注.
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /** @return 租户. */
    @Column(name = "TENANT_ID", length = 64)
    public String getTenantId() {
        return this.tenantId;
    }

    /**
     * @param tenantId
     *            租户.
     */
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}
