

-------------------------------------------------------------------------------
--  asset request
-------------------------------------------------------------------------------
CREATE TABLE ASSET_REQUEST(
    ID BIGINT NOT NULL,
    CODE VARCHAR(100),
    USER_ID VARCHAR(64),
    DEPT_CODE VARCHAR(50),
    DEPT_NAME VARCHAR(200),
    CREATE_TIME DATETIME,
    STATUS VARCHAR(50),
    DESCRIPTION VARCHAR(200),
    TENANT_ID VARCHAR(64),

    PRODUCT_CATEGORY VARCHAR(100),
    PURPOSE VARCHAR(100),
    PRODUCT_NAME VARCHAR(200),
    PRODUCT_MODEL VARCHAR(50),
    PRODUCT_PRICE INT,
    PRODUCT_NUM INT,

    CONSTRAINT PK_ASSET_REQUEST PRIMARY KEY(ID)
);

COMMENT ON TABLE ASSET_REQUEST IS '印章申请';
COMMENT ON COLUMN ASSET_REQUEST.ID IS '主键';
COMMENT ON COLUMN ASSET_REQUEST.CODE IS '单号';
COMMENT ON COLUMN ASSET_REQUEST.USER_ID IS '申请人';
COMMENT ON COLUMN ASSET_REQUEST.DEPT_CODE IS '申请人部门编码';
COMMENT ON COLUMN ASSET_REQUEST.DEPT_NAME IS '申请人部门名称';
COMMENT ON COLUMN ASSET_REQUEST.CREATE_TIME IS '创建时间';
COMMENT ON COLUMN ASSET_REQUEST.STATUS IS '状态';
COMMENT ON COLUMN ASSET_REQUEST.DESCRIPTION IS '申请原因';
COMMENT ON COLUMN ASSET_REQUEST.TENANT_ID IS '多租户';
COMMENT ON COLUMN ASSET_REQUEST.PRODUCT_CATEGORY IS '产品分类';
COMMENT ON COLUMN ASSET_REQUEST.PURPOSE IS '申请用途';
COMMENT ON COLUMN ASSET_REQUEST.PRODUCT_NAME IS '资产名称';
COMMENT ON COLUMN ASSET_REQUEST.PRODUCT_MODEL IS '规格型号';
COMMENT ON COLUMN ASSET_REQUEST.PRODUCT_PRICE IS '价格';
COMMENT ON COLUMN ASSET_REQUEST.PRODUCT_NUM IS '数量';


