

-------------------------------------------------------------------------------
--  asset request info
-------------------------------------------------------------------------------
CREATE TABLE ASSET_REQUEST_INFO(
    ID BIGINT NOT NULL,
    CODE VARCHAR(100),
    USER_ID VARCHAR(64),
    DEPT_CODE VARCHAR(50),
    DEPT_NAME VARCHAR(200),
    CREATE_TIME DATETIME,
    STATUS VARCHAR(50),
    DESCRIPTION VARCHAR(200),
    TENANT_ID VARCHAR(64),

    PURPOSE VARCHAR(100),

    CONSTRAINT PK_ASSET_REQUEST_INFO PRIMARY KEY(ID)
);

COMMENT ON TABLE ASSET_REQUEST_INFO IS '资产申请';
COMMENT ON COLUMN ASSET_REQUEST_INFO.ID IS '主键';
COMMENT ON COLUMN ASSET_REQUEST_INFO.CODE IS '单号';
COMMENT ON COLUMN ASSET_REQUEST_INFO.USER_ID IS '申请人';
COMMENT ON COLUMN ASSET_REQUEST_INFO.DEPT_CODE IS '申请人部门编码';
COMMENT ON COLUMN ASSET_REQUEST_INFO.DEPT_NAME IS '申请人部门名称';
COMMENT ON COLUMN ASSET_REQUEST_INFO.CREATE_TIME IS '创建时间';
COMMENT ON COLUMN ASSET_REQUEST_INFO.STATUS IS '状态';
COMMENT ON COLUMN ASSET_REQUEST_INFO.DESCRIPTION IS '申请原因';
COMMENT ON COLUMN ASSET_REQUEST_INFO.TENANT_ID IS '多租户';
COMMENT ON COLUMN ASSET_REQUEST_INFO.PURPOSE IS '申请用途';


