

-------------------------------------------------------------------------------
--  asset request item
-------------------------------------------------------------------------------
CREATE TABLE ASSET_REQUEST_ITEM(
    ID BIGINT NOT NULL,

    PRODUCT_CATEGORY VARCHAR(100),
    PURPOSE VARCHAR(100),
    PRODUCT_NAME VARCHAR(200),
    PRODUCT_MODEL VARCHAR(50),
    PRODUCT_PRICE INT,
    PRODUCT_NUM INT,
    DESCRIPTION VARCHAR(200),
    TENANT_ID VARCHAR(64),
    INFO_ID BIGINT,

    CONSTRAINT PK_ASSET_REQUEST_ITEM PRIMARY KEY(ID),
    CONSTRAINT FK_ASSET_REQUEST_ITEM_INFO FOREIGN KEY(INFO_ID) REFERENCES ASSET_REQUEST_INFO(ID)
);

COMMENT ON TABLE ASSET_REQUEST_ITEM IS '资产申请细目';
COMMENT ON COLUMN ASSET_REQUEST_ITEM.ID IS '主键';
COMMENT ON COLUMN ASSET_REQUEST_ITEM.PRODUCT_CATEGORY IS '产品分类';
COMMENT ON COLUMN ASSET_REQUEST_ITEM.PRODUCT_NAME IS '资产名称';
COMMENT ON COLUMN ASSET_REQUEST_ITEM.PRODUCT_MODEL IS '规格型号';
COMMENT ON COLUMN ASSET_REQUEST_ITEM.PRODUCT_PRICE IS '价格';
COMMENT ON COLUMN ASSET_REQUEST_ITEM.PRODUCT_NUM IS '数量';
COMMENT ON COLUMN ASSET_REQUEST_ITEM.DESCRIPTION IS '备注';
COMMENT ON COLUMN ASSET_REQUEST_ITEM.TENANT_ID IS '多租户';
COMMENT ON COLUMN ASSET_REQUEST_ITEM.INFO_ID IS '外键';


