
CREATE TABLE BPM_CONF_NODE(
	ID BIGINT NOT NULL,
	CODE VARCHAR(200),
	NAME VARCHAR(200),
	TYPE VARCHAR(200),
	CONF_USER INT,
	CONF_LISTENER INT,
	CONF_RULE INT,
	CONF_FORM INT,
	CONF_OPERATION INT,
	CONF_NOTICE INT,
	PRIORITY INT,
	CONF_BASE_ID BIGINT,
        CONSTRAINT PK_BPM_CONF_NODE PRIMARY KEY(ID),
        CONSTRAINT FK_BPM_CONF_NODE_CONF_BASE FOREIGN KEY(CONF_BASE_ID) REFERENCES BPM_CONF_BASE(ID)
);

COMMENT ON TABLE BPM_CONF_NODE IS '节点配置';
COMMENT ON COLUMN BPM_CONF_NODE.ID IS '主键';
COMMENT ON COLUMN BPM_CONF_NODE.CODE IS '节点ID';
COMMENT ON COLUMN BPM_CONF_NODE.NAME IS '节点名称';
COMMENT ON COLUMN BPM_CONF_NODE.TYPE IS '节点类型';
COMMENT ON COLUMN BPM_CONF_NODE.CONF_USER IS '配置用户';
COMMENT ON COLUMN BPM_CONF_NODE.CONF_LISTENER IS '配置回调';
COMMENT ON COLUMN BPM_CONF_NODE.CONF_RULE IS '配置规则';
COMMENT ON COLUMN BPM_CONF_NODE.CONF_FORM IS '配置表单';
COMMENT ON COLUMN BPM_CONF_NODE.CONF_OPERATION IS '配置操作';
COMMENT ON COLUMN BPM_CONF_NODE.CONF_NOTICE IS '配置提醒';
COMMENT ON COLUMN BPM_CONF_NODE.PRIORITY IS '排序';
COMMENT ON COLUMN BPM_CONF_NODE.CONF_BASE_ID IS '外键，流程配置';

