

-------------------------------------------------------------------------------
--  expense request
-------------------------------------------------------------------------------
CREATE TABLE EXPENSE_REQUEST(
    ID BIGINT NOT NULL,
    CODE VARCHAR(100),
    USER_ID VARCHAR(64),
    DEPT_CODE VARCHAR(50),
    DEPT_NAME VARCHAR(200),
    CREATE_TIME DATETIME,
    STATUS VARCHAR(50),
    DESCRIPTION VARCHAR(200),
    TENANT_ID VARCHAR(64),

    TYPE VARCHAR(50),
    PRICE FLOAT,
    START_TIME DATETIME,
    END_TIME DATETIME,
    HEAD_COUNT INTEGER,
    PERSON VARCHAR(200),
    TRAFFIC VARCHAR(100),
    COUNTRY VARCHAR(100),
    ADDRESS VARCHAR(100),
    THING VARCHAR(100),

    CONSTRAINT PK_EXPENSE_REQUEST PRIMARY KEY(ID)
);

COMMENT ON TABLE EXPENSE_REQUEST IS '印章申请';
COMMENT ON COLUMN EXPENSE_REQUEST.ID IS '主键';
COMMENT ON COLUMN EXPENSE_REQUEST.CODE IS '单号';
COMMENT ON COLUMN EXPENSE_REQUEST.USER_ID IS '申请人';
COMMENT ON COLUMN EXPENSE_REQUEST.DEPT_CODE IS '申请人部门编码';
COMMENT ON COLUMN EXPENSE_REQUEST.DEPT_NAME IS '申请人部门名称';
COMMENT ON COLUMN EXPENSE_REQUEST.CREATE_TIME IS '创建时间';
COMMENT ON COLUMN EXPENSE_REQUEST.STATUS IS '状态';
COMMENT ON COLUMN EXPENSE_REQUEST.DESCRIPTION IS '申请原因';
COMMENT ON COLUMN EXPENSE_REQUEST.TENANT_ID IS '多租户';

COMMENT ON COLUMN EXPENSE_REQUEST.TYPE IS '类型';
COMMENT ON COLUMN EXPENSE_REQUEST.PRICE IS '金额';
COMMENT ON COLUMN EXPENSE_REQUEST.START_TIME IS '开始时间';
COMMENT ON COLUMN EXPENSE_REQUEST.END_TIME IS '结束时间';
COMMENT ON COLUMN EXPENSE_REQUEST.HEAD_COUNT IS '人数';
COMMENT ON COLUMN EXPENSE_REQUEST.PERSON IS '人员';
COMMENT ON COLUMN EXPENSE_REQUEST.TRAFFIC IS '交通工具';
COMMENT ON COLUMN EXPENSE_REQUEST.COUNTRY IS '城市';
COMMENT ON COLUMN EXPENSE_REQUEST.ADDRESS IS '地点';
COMMENT ON COLUMN EXPENSE_REQUEST.THING IS '事项';


