

-------------------------------------------------------------------------------
--  sys info
-------------------------------------------------------------------------------
CREATE TABLE SYS_INFO(
    ID BIGINT NOT NULL,
    LOGO VARCHAR(200),
    TYPE VARCHAR(50),
    CODE VARCHAR(50),
    NAME VARCHAR(50),
    URL VARCHAR(200),
    PRIORITY INTEGER,
    STATUS VARCHAR(50),
    DESCN VARCHAR(200),
    CATEGORY_ID BIGINT,
    PLATFORM VARCHAR(50),
    CREATE_TIME TIMESTAMP,
    USER_ID VARCHAR(64),
    APP_ID BIGINT,

    TENANT_ID VARCHAR(64),

    CONSTRAINT PK_SYS_INFO PRIMARY KEY(ID),
    CONSTRAINT FK_SYS_INFO_CATEGORY FOREIGN KEY(CATEGORY_ID) REFERENCES SYS_CATEGORY(ID)
);

COMMENT ON TABLE SYS_INFO IS '系统信息';
COMMENT ON COLUMN SYS_INFO.ID IS '主键';
COMMENT ON COLUMN SYS_INFO.LOGO IS '图标';
COMMENT ON COLUMN SYS_INFO.TYPE IS '分类';
COMMENT ON COLUMN SYS_INFO.CODE IS '编码';
COMMENT ON COLUMN SYS_INFO.NAME IS '名称';
COMMENT ON COLUMN SYS_INFO.URL IS '网址';
COMMENT ON COLUMN SYS_INFO.PRIORITY IS '排序';
COMMENT ON COLUMN SYS_INFO.STATUS IS '状态';
COMMENT ON COLUMN SYS_INFO.DESCN IS '备注';
COMMENT ON COLUMN SYS_INFO.CATEGORY_ID IS '外键，系统分类';
COMMENT ON COLUMN SYS_INFO.PLATFORM IS '平台，web, app';
COMMENT ON COLUMN SYS_INFO.CREATE_TIME IS '创建时间';
COMMENT ON COLUMN SYS_INFO.USER_ID IS '创建人';
COMMENT ON COLUMN SYS_INFO.APP_ID IS '外键，应用';
COMMENT ON COLUMN SYS_INFO.TENANT_ID IS '租户';


