

-------------------------------------------------------------------------------
--  oss endpoint
-------------------------------------------------------------------------------
CREATE TABLE OSS_ENDPOINT(
    ID BIGINT NOT NULL,
    TYPE VARCHAR(50),
    CODE VARCHAR(50),
    NAME VARCHAR(200),
    STATUS VARCHAR(50),
    CREATE_TIME TIMESTAMP,
    DESCRIPTION VARCHAR(200),
    TENANT_ID VARCHAR(50),
    REGION_ID BIGINT,
    CONSTRAINT PK_OSS_ENDPOINT PRIMARY KEY(ID),
    CONSTRAINT FK_OSS_ENDPOINT_REGION FOREIGN KEY(REGION_ID) REFERENCES OSS_REGION(ID)
);

COMMENT ON TABLE OSS_ENDPOINT              IS '域名';
COMMENT ON COLUMN OSS_ENDPOINT.ID          IS '主键';
COMMENT ON COLUMN OSS_ENDPOINT.TYPE        IS '类型: internal, external';
COMMENT ON COLUMN OSS_ENDPOINT.CODE        IS '编码（备用）';
COMMENT ON COLUMN OSS_ENDPOINT.NAME        IS '名称';
COMMENT ON COLUMN OSS_ENDPOINT.STATUS      IS '状态: active,inactive';
COMMENT ON COLUMN OSS_ENDPOINT.CREATE_TIME IS '创建时间';
COMMENT ON COLUMN OSS_ENDPOINT.DESCRIPTION IS '描述(备用)';
COMMENT ON COLUMN OSS_ENDPOINT.TENANT_ID   IS '租户';
COMMENT ON COLUMN OSS_ENDPOINT.REGION_ID   IS '外键';
