

-------------------------------------------------------------------------------
--  stamp task
-------------------------------------------------------------------------------
CREATE TABLE STAMP_TASK(
    ID BIGINT NOT NULL,
    NAME VARCHAR(200),
    USER_ID VARCHAR(64),
    CREATE_TIME DATETIME,
    STATUS VARCHAR(50),
    CONTENT VARCHAR(200),
    DESCRIPTION VARCHAR(200),
    TENANT_ID VARCHAR(64),
    INFO_ID BIGINT,
    CONSTRAINT PK_STAMP_TASK PRIMARY KEY(ID),
    CONSTRAINT FK_STAMP_TASK_INFO FOREIGN KEY(INFO_ID) REFERENCES STAMP_INFO(ID)
);

COMMENT ON TABLE STAMP_TASK IS '印章申请';
COMMENT ON COLUMN STAMP_TASK.ID IS '主键';
COMMENT ON COLUMN STAMP_TASK.NAME IS '名称';
COMMENT ON COLUMN STAMP_TASK.USER_ID IS '申请人';
COMMENT ON COLUMN STAMP_TASK.CREATE_TIME IS '申请时间';
COMMENT ON COLUMN STAMP_TASK.STATUS IS '状态';
COMMENT ON COLUMN STAMP_TASK.CONTENT IS '内容';
COMMENT ON COLUMN STAMP_TASK.DESCRIPTION IS '备注';
COMMENT ON COLUMN STAMP_TASK.TENANT_ID IS '租户';
COMMENT ON COLUMN STAMP_TASK.INFO_ID IS '印章ID';

