

-------------------------------------------------------------------------------
--  travel item
-------------------------------------------------------------------------------
CREATE TABLE TRAVEL_ITEM(
    ID BIGINT NOT NULL,
    INTERNATIONAL VARCHAR(50),
    VEHICLE VARCHAR(100),
    TYPE VARCHAR(100),
    START_CITY VARCHAR(50),
    END_CITY VARCHAR(50),
    START_DATE DATE,
    END_DATE DATE,
    DAY INT,
    PRIORITY INT,
    INFO_ID BIGINT,
    CONSTRAINT PK_TRAVEL_ITEM PRIMARY KEY(ID),
    CONSTRAINT FK_TRAVEL_ITEM_INFO FOREIGN KEY(INFO_ID) REFERENCES TRAVEL_INFO(ID)
);

COMMENT ON TABLE TRAVEL_ITEM IS '差旅明细';
COMMENT ON COLUMN TRAVEL_ITEM.ID IS '主键';
COMMENT ON COLUMN TRAVEL_ITEM.INTERNATIONAL IS '国内国际';
COMMENT ON COLUMN TRAVEL_ITEM.VEHICLE IS '交通工具';
COMMENT ON COLUMN TRAVEL_ITEM.TYPE IS '单程往返';
COMMENT ON COLUMN TRAVEL_ITEM.START_CITY IS '出发城市';
COMMENT ON COLUMN TRAVEL_ITEM.END_CITY IS '目的城市';
COMMENT ON COLUMN TRAVEL_ITEM.START_DATE IS '开始时间';
COMMENT ON COLUMN TRAVEL_ITEM.END_DATE IS '结束时间';
COMMENT ON COLUMN TRAVEL_ITEM.DAY IS '天数';
COMMENT ON COLUMN TRAVEL_ITEM.PRIORITY IS '排序';

