

-------------------------------------------------------------------------------
-- person info
-------------------------------------------------------------------------------
CREATE TABLE PERSON_INFO(
        ID BIGINT NOT NULL,

	CODE VARCHAR(200),
	USERNAME VARCHAR(200),
	
	FAMILY_NAME VARCHAR(200),
	GIVEN_NAME VARCHAR(200),
	FULL_NAME VARCHAR(200),

	CELLPHONE VARCHAR(50),
	TELEPHONE VARCHAR(200),
	EMAIL VARCHAR(200),
	IM VARCHAR(200),

	COUNTRY VARCHAR(200),
	PROVINCE VARCHAR(200),
	CITY VARCHAR(200),

	BUILDING VARCHAR(200),
	FLOOR VARCHAR(200),
	SEAT VARCHAR(200),

	EMPLOYEE_NO VARCHAR(50),
	EMPLOYEE_TYPE VARCHAR(50),
	CARD VARCHAR(200),
	COMPANY_CODE VARCHAR(200),
	COMPANY_NAME VARCHAR(200),
	DEPARTMENT_CODE VARCHAR(200),
	DEPARTMENT_NAME VARCHAR(200),
	POSITION_CODE VARCHAR(200),
	POSITION_NAME VARCHAR(200),

	GENDER VARCHAR(500),
	BIRTHDAY DATETIME,
	ID_CARD_TYPE VARCHAR(50),
	ID_CARD_VALUE VARCHAR(50),
	NATIONALITY VARCHAR(200),
	STAR VARCHAR(50),
	BLOOD VARCHAR(50),
	CLOTH_SIZE VARCHAR(50),

        CONSTRAINT PK_PERSON_INFO PRIMARY KEY(ID)
);

COMMENT ON TABLE PERSON_INFO IS '个人信息';
COMMENT ON COLUMN PERSON_INFO.ID IS '主键';
COMMENT ON COLUMN PERSON_INFO.CODE IS '唯一标识';
COMMENT ON COLUMN PERSON_INFO.USERNAME IS '账号';
COMMENT ON COLUMN PERSON_INFO.FAMILY_NAME IS '姓氏';
COMMENT ON COLUMN PERSON_INFO.GIVEN_NAME IS '名字';
COMMENT ON COLUMN PERSON_INFO.FULL_NAME IS '全名';
COMMENT ON COLUMN PERSON_INFO.CELLPHONE IS '手机';
COMMENT ON COLUMN PERSON_INFO.TELEPHONE IS '座机';
COMMENT ON COLUMN PERSON_INFO.EMAIL IS '邮箱';
COMMENT ON COLUMN PERSON_INFO.IM IS '即时通讯';
COMMENT ON COLUMN PERSON_INFO.COUNTRY IS '国家';
COMMENT ON COLUMN PERSON_INFO.PROVINCE IS '省';
COMMENT ON COLUMN PERSON_INFO.CITY IS '市';
COMMENT ON COLUMN PERSON_INFO.BUILDING IS '办公楼';
COMMENT ON COLUMN PERSON_INFO.FLOOR IS '楼层';
COMMENT ON COLUMN PERSON_INFO.SEAT IS '工位';
COMMENT ON COLUMN PERSON_INFO.EMPLOYEE_NO IS '工号';
COMMENT ON COLUMN PERSON_INFO.EMPLOYEE_TYPE IS '员工类型';
COMMENT ON COLUMN PERSON_INFO.CARD IS '工卡';
COMMENT ON COLUMN PERSON_INFO.COMPANY_CODE IS '公司编码';
COMMENT ON COLUMN PERSON_INFO.COMPANY_NAME IS '公司名称';
COMMENT ON COLUMN PERSON_INFO.DEPARTMENT_CODE IS '部门编码';
COMMENT ON COLUMN PERSON_INFO.DEPARTMENT_NAME IS '部门名称';
COMMENT ON COLUMN PERSON_INFO.POSITION_CODE IS '职位编码';
COMMENT ON COLUMN PERSON_INFO.POSITION_NAME IS '职位名称';
COMMENT ON COLUMN PERSON_INFO.GENDER IS '性别';
COMMENT ON COLUMN PERSON_INFO.BIRTHDAY IS '生日';
COMMENT ON COLUMN PERSON_INFO.ID_CARD_TYPE IS '证件类型';
COMMENT ON COLUMN PERSON_INFO.ID_CARD_VALUE IS '证件编号';
COMMENT ON COLUMN PERSON_INFO.NATIONALITY IS '国籍';
COMMENT ON COLUMN PERSON_INFO.STAR IS '星座';
COMMENT ON COLUMN PERSON_INFO.BLOOD IS '血型';
COMMENT ON COLUMN PERSON_INFO.CLOTH_SIZE IS '衣服大小';

