<%@page contentType="text/html;charset=UTF-8"%>
<%@include file="/taglibs.jsp"%>
<%pageContext.setAttribute("currentHeader", "auth");%>
<%pageContext.setAttribute("currentMenu", "auth");%>
<!doctype html>
<html lang="en">

  <head>
    <%@include file="/common/meta.jsp"%>
    <title><spring:message code="dev.user-connector.list.title" text="列表"/></title>
    <%@include file="/common/s3.jsp"%>
    <script type="text/javascript">
var config = {
    id: 'user-connectorGrid',
    pageNo: ${page.pageNo},
    pageSize: ${page.pageSize},
    totalCount: ${page.totalCount},
    resultSize: ${page.resultSize},
    pageCount: ${page.pageCount},
    orderBy: '${page.orderBy == null ? "" : page.orderBy}',
    asc: ${page.asc},
    params: {
        'filter_LIKES_username': '${param.filter_LIKES_username}'
    },
    selectedItemClass: 'selectedItem',
    gridFormId: 'user-connectorGridForm',
    exportUrl: 'user-connector-export.do'
};

var table;

$(function() {
    table = new Table(config);
    table.configPagination('.m-pagination');
    table.configPageInfo('.m-page-info');
    table.configPageSize('.m-page-size');
});
    </script>
  </head>

  <body>
    <%@include file="/header/auth.jsp"%>

    <div class="row-fluid">
      <%@include file="/menu/auth.jsp"%>

      <!-- start of main -->
      <section id="m-main" class="col-md-10" style="padding-top:65px;">

<div class="panel panel-default">
  <div class="panel-heading">
    <i class="glyphicon glyphicon-list"></i>
    查询
    <div class="pull-right ctrl">
      <a class="btn btn-default btn-xs"><i id="user-connectorSearchIcon" class="glyphicon glyphicon-chevron-up"></i></a>
    </div>
  </div>
  <div class="panel-body">

          <form name="user-connectorForm" method="post" action="user-connector-list.do" class="form-inline">
            <label for="user-connector_username"><spring:message code='user-connector.user-connector.list.search.name' text='名称'/>:</label>
            <input type="text" id="user-connector_username" name="filter_LIKES_username" value="${param.filter_LIKES_username}" class="form-control">
            <button class="btn btn-default a-search" onclick="document.user-connectorForm.submit()">查询</button>&nbsp;
          </form>

        </div>
      </div>

      <div style="margin-bottom: 20px;">
        <!--
        <div class="pull-left btn-group" role="group">
          <button class="btn btn-default a-insert" onclick="location.href='user-connector-input.do'">新建</button>
          <button class="btn btn-default a-remove" onclick="table.removeAll()">删除</button>
          <button class="btn btn-default a-export" onclick="table.exportExcel()">导出</button>
        </div>
        -->

        <div class="pull-right">
          每页显示
          <select class="m-page-size form-control" style="display:inline;width:auto;">
            <option value="10">10</option>
            <option value="20">20</option>
            <option value="50">50</option>
          </select>
          条
        </div>

        <div class="clearfix"></div>
      </div>

<form id="user-connectorGridForm" name="user-connectorGridForm" method='post' action="user-connector-remove.do" class="m-form-blank">
      <div class="panel panel-default">
        <div class="panel-heading">
          <i class="glyphicon glyphicon-list"></i>
          <spring:message code="scope-info.scope-info.list.title" text="列表"/>
        </div>


  <table id="userGrid" class="table table-hover">
    <thead>
      <tr>
        <th class="sorting" name="username"><spring:message code="user.user.list.username" text="账号"/></th>
        <th class="sorting" name="status"><spring:message code="user.user.list.status" text="状态"/></th>
        <th name="description"><spring:message code="user.user.list.authorities" text="权限"/></th>
        <th width="150">&nbsp;</th>
      </tr>
    </thead>

    <tbody>
      <c:forEach items="${page.result}" var="item">
      <tr>
        <td>${item.username}</td>
        <td>${item.enabled ? '启用' : '禁用'}</td>
        <td>${item.authorities}</td>
        <td>
            <tags:hasPerm value="user:auth">
            <a href="user-connector-configRole.do?ref=${item.ref}" class="a-update"><spring:message code="user.user.list.role" text="设置权限"/></a>
            </tags:hasPerm>
        </td>
      </tr>
      </c:forEach>
    </tbody>
  </table>


      </div>
</form>

      <div>
        <div class="m-page-info pull-left">
          共100条记录 显示1到10条记录
        </div>

        <div class="btn-group m-pagination pull-right">
          <button class="btn btn-default">&lt;</button>
          <button class="btn btn-default">1</button>
          <button class="btn btn-default">&gt;</button>
        </div>

        <div class="clearfix"></div>
      </div>

      <div class="m-spacer"></div>

      </section>
      <!-- end of main -->
    </div>

  </body>

</html>

